<?php
//VidiScript - All Coding And Design @VidiScript.com 2009
//
//File: mostviewed.inc
//Description: Gets list of media for mostviewed.module - displays media on 'Popular' page
//Version 0.43 BETA
//Release Date: 06/05/08
//
 
 function mostViewedmedia()
 { 	global $db,$sitepath;
 	$site_template = getSetting("sitetemplate",$db);
	$template_file = "templates/" . $site_template . "/modules/mostviewed_content.php";
	if ((getSetting("new_template",$db)==1)&&(file_exists($template_file)))
	{
		include_once ($template_file);
		echo "page number is ".$_GET['snoot'];
		$output = mostViewedmedia_new(quote_smart($_GET['page']));
	}
	else
	{
		//Check if mature content should be hidded - only active when mature content 
		$hide = (checkHideMedia()==1)?" AND (`requires_agreement` = 0)":"";
		//Get dates used for filtering results
		$todaylink=$sitepath.'most_viewed/_today';
		$weeklink=$sitepath.'most_viewed/_week';
		$thirtylink=$sitepath.'most_viewed/_month';
		$alllink=$sitepath.'most_viewed/';
		$filter=$_GET['filter'];
		$filterstring = "";
		$filterlink = "<b>all time</b> | <a href='".$todaylink."'>today</a> | <a href='".$weeklink."'>this week</a> | <a href='".$thirtylink."'>last 30 days</a>";
		if (($filter=="all")||($filter==""))
		{
			$filterstring = "ORDER BY allviews DESC";
			$filterlink = "<b>all time</b> | <a href='".$todaylink."'>today</a> | <a href='".$weeklink."'>this week</a> | <a href='".$thirtylink."'>this month</a>";
		}
		else if ($filter=="today")
		{
			$filterstring = "ORDER BY dayviews DESC";
			$filterlink = "<a href='".$alllink."'>all time</a> | <b>today</b> | <a href='".$weeklink."'>this week</a> | <a href='".$thirtylink."'>this month</a>";
		}
		else if ($filter=="week")
		{
			$filterstring = "ORDER BY weekviews DESC";
			$filterlink = "<a href='".$alllink."'>all time</a> | <a href='".$todaylink."'>today</a> | <b>this week</b> | <a href='".$thirtylink."'>this month</a>";
		}
		else if ($filter=="month")
		{
			$filterstring = "ORDER BY monthviews DESC";
			$filterlink = "<a href='".$alllink."'>all time</a> | <a href='".$todaylink."'>today</a> | <a href='".$weeklink."'>this week</a> | <b>this month</b>";
		}
		$db->query("SELECT * FROM `media` LEFT JOIN `group` ON (`media`.`groupid` = `group`.`group_id`) WHERE `status` ='true' ".$hide." AND (`suspended`!=1 OR `suspended` IS NULL) ".quote_smart($filterstring)." LIMIT 100");
	 	$resTR = $db->fetchAll();
		$sitefolder = getSetting("sitefolder",$db);
		$path = 'http://' . $_SERVER['SERVER_NAME'].$sitefolder.'most_viewed';
		$output =$filterlink."<br><br>";
		if ($db->numRows()>0)
		{
		//Create output for most viewed media
			if (getSetting("mostviewed_page_table_layout",$db)==1)
			{
				if(isset($_GET['page']))
					$output .= displayMostViewedInTable($resTR,quote_smart($_GET['page']),$path,$filter,true);
				else
					$output .= displayMostViewedInTable($resTR,1,$path,quote_smart($filter),true);
			}
			else
			{
				if(isset($_GET['page']))
					$output .= displayMostViewed($resTR,quote_smart($_GET['page']),$path,$filter,true);
				else
					$output .= displayMostViewed($resTR,1,$path,quote_smart($filter),true);
			}
		}
		else
			$output .= "<h2>There is no media to display</h2>";
	}
 	return $output;
}


 function displayMostViewed($res, $page = 1, $url = "", $filter,$showad){
 	global $db,$sitepath,$loggedIn,$templateimagepath; 
	
	if ($loggedIn)
	{
		$db->query("SELECT id FROM member WHERE username = '".quote_smart($_SESSION['username'])."'");
		$ures = $db->fetch();
		$memberid = $ures['id'];
		$db->query("SELECT * FROM group_member WHERE member_id = ".$memberid." AND approved = 1");
		$groupmembership = $db->fetchAll();
	}
	
	$vidcount = 0;
	foreach($res as $key => $value)
	{ 
		if($value['added'] < time())
		{
			$groupid = $value['groupid'];
			$groupprivate = $value['privacy'];
			$visible = true;
			if (($groupid>0)&&($groupprivate==1)&&($value['owner_id']!=$memberid))
			{
				if ($loggedIn)
				{
					$approvedmember = false;
					foreach($groupmembership as $gmkey => $groupmember){
						if ($groupmember['group_id_g']==$groupid)
						{
							$approvedmember = true;
							break;
						}
					}
					if (!$approvedmember)
					{
						$visible = false;
					}
				}
				else
				{
					$visible = false;
				}
			}
			if ($visible)
			{
				$vidcount++;
			}
		}
	}		
	if ($showad)
	{
		$db->query("SELECT * FROM sitead WHERE adname='ad2'");
		if ($db->numRows()>0)
		{
			$ares=$db->fetch();
			$adtext=$ares['adtext'];
		}
	}
	if ($adtext!='')
	{
		$adtext='<div id="horizbanner">'.$adtext.'</div>';
	}
 	$perpage = getSetting("mostviewedpp",$db);
 	$pages = ceil($vidcount/$perpage);
	$path = getSetting("sitefolder",$db);
	
 	
 	$pageLinks = "";
 	//Page formatting
	
	if ($pages>0)
	{
 	$pageLinks = "<div class=\"paging\"><div class=\"paging-right\"><div class=\"paging-mid\">Page&nbsp;".$page."&nbsp;of&nbsp;".$pages."<div class=\"pages\">";
	}
	else
	{
	$pageLinks = "<div><div><div><div>";
	}
	$pp = $page - 1;
	if ($pp >=1)
	{
		$pageLinks .= "<a class=\"prevp\" href='".$url."/".$pp."'>Previous Page</a>";
	}

	$p = 1;
	$stopat = ($pages <= 10) ? $pages : 10;
	if($pages > 10 && $page > 6){
 		if(!$nomr){
			$pageLinks .= "<a href='".$url."/1'>1</a> ... ";
		}else{
			$pageLinks .= "<a href='".$url."/1'>1</a> ... ";
		}
	}
	$p = 1;
	$stopat = ($pages <= 10) ? $pages : 10;
	if($pages > 10 && $page > 5){
		$p = $page - 5;
		$stopat = $page + 5;
		if($stopat > $pages)
			$stopat = $pages;
	}
	for($p; $p <= $stopat; $p++){
		if(!$nomr){
			if($p == $page)
	 			$pageLinks .= "$p ";
			else
				$pageLinks .= "<a href='".$url."/".$p."'>$p</a> ";
		}else{
			if($p == $page)
	 			$pageLinks .= "$p ";
			else
				$pageLinks .= "<a href='".$url."/".$p."'>$p</a> ";
		}
 	}
 	
 	if($pages > 10){
 		if(!$nomr){
		 	$pageLinks .= "... <a href='".$url."/".$pages."'>$pages</a>";
		}else{
		 	$pageLinks .= "... <a href='".$url."/".$pages."'>$pages</a>";
		}
	}	  	
	$np = $page + 1;
	if ($np <= $pages)
	{
		$pageLinks .= "<a class=\"nextp\" href='".$url."/".$np."'>Next Page</a>";
	}
	$pageLinks .= "</div></div></div></div>";
	$output = '<ul class="no-format vert-list">';
 	$count = 0;
 	$page--;
 	//Clear previous page results
 	for($i = 0; $i < $perpage * $page; $i++)
 		unset($res[$i]);
	foreach($res as $key => $value){ 
		if($value['added'] < time()){
			$groupid = $value['groupid'];
			$groupprivate = $value['privacy'];
			$visible = true;
			if (($groupid>0)&&($groupprivate==1)&&($value['owner_id']!=$memberid))
			{
				if ($loggedIn)
				{
					$approvedmember = false;
					foreach($groupmembership as $gmkey => $groupmember){
						if ($groupmember['group_id_g']==$groupid)
						{
							$approvedmember = true;
							break;
						}
					}
					if (!$approvedmember)
					{
						$visible = false;
					}
				}
				else
				{
					$visible = false;
				}
			}
			
			if ($visible)
			{
				
				$count++;

				$thumbpath = 'uploads/thumbs/';
				$thumb='';	
				$anim='';
				if (checkHideThumbnails()&&($value['requires_agreement']==1))
				{
					$thumb = $templateimagepath."default_mature_thumb.jpg";
				}					
				else
				{
					if(file_exists($thumbpath.$value['thumb'].".small.jpg"))
					{
						$thumb = $sitepath."uploads/thumbs/".$value['thumb'].".small.jpg";
						if(file_exists($thumbpath.$value['thumb'].".prv")) {
							$anim = $sitepath."uploads/thumbs/".$value['thumb'];
						}
					}
					elseif(@file_exists($thumbpath.$value['mediaurl'].".small.jpg"))
					{
						$thumb = $sitepath."uploads/thumbs/".$value['mediaurl'].".small.jpg";
						$anim = $sitepath."uploads/thumbs/".$value['mediaurl'];
					}
					elseif(findThumb($value['thumb'],true)){
						$thumb = findThumb($value['thumb'],true);
						$thumb = $sitepath."uploads/thumbs/".$thumb[0];
						$anim = $sitepath."uploads/thumbs/".$thumb[0];
					}
					if ($thumb=='')
					{
						$thumb = $templateimagepath.getDefaultThumb($value['mediatype']);
					}
					$thumb = str_replace(" ","%20", $thumb);	
				}
				$kat=getCategoryPath($value['category']);
				
		 		$db->query("SELECT * FROM rating WHERE id = ".$value['id']);
		 		$resR = $db->fetch();
				
		 		$title = url_encode($value['title']);
		 		$short_title = force_length($value['title'], 55);

	 			$output .= "<li>";
				//thumbnail
				if ($anim!=""&&checkExtra('Video Preview Thumbnails',18))
				{
					$output .= "<div class=\"thumbholder\" id='thumb".$count."' onmouseover='replace_thumb(".$count.", \"<a href=&#39;play".$kat."/".$title."&#39;><img src=&#39;".$thumb."&#39;></a>\");'>";
					$output .= "<a href='play".$kat."/".$title."'><img  src='".$thumb."'/></a>";
					$output .= "</div>";	
					$output .= "<h3>";
					$output .= "<img class=\"preview\" onmouseover='start_thumb(".$count." ,\"".$anim."\")' src=\"".$templateimagepath."preview_box.png\">";
				}
				else{
					$output .= "<div class=\"thumbholder\" id='thumb".$count."'>";
					$output .= "<a href='play".$kat."/".$title."'><img  src='".$thumb."'/></a>";
					$output .= "</div>";						
					$output .= "<h3>";
				}
				
				$output .= "&nbsp;&nbsp;<b><a href=\"play$kat/$title\">".str_replace("_"," ",$short_title)."</a><span class=\"rating\">".show_rating($value['id'])."</span></b></h3>";				
				
				
				$value['description'] = force_length($value['description'],130);
				$output .= "<h4><b>&nbsp;&nbsp;&nbsp;".$value['description']."</b></h4>";				
				$tags = strtolower($value['tags']);
				$taglinks = getTagLinks($tags);
				if (str_replace(" ","",$tags)!='')
				{
					$output .= "<p>&nbsp;&nbsp;&nbsp;tags: $taglinks</p>";
				}
				else
				{
					$output .= "<p>&nbsp;</p>";
				}
				if (($filter=="all")||($filter==""))
				{
					$viewstring=$value['allviews'];
				} else if ($filter=="today")
				{
					$viewstring=$value['dayviews'];
				} else if ($filter=="week")
				{
					$viewstring=$value['weekviews'];
				} else if ($filter=="month")
				{
					$viewstring=$value['monthviews'];
				} else if ($filter=="toprated")
				{
					$viewstring=$value['allviews'];
				}			
				if ($viewstring=='')
				{
					$viewstring=0;
				}
				$output .= "<div class=\"inf\"><div class=\"inf-right\"><b>From <a href=\"".$sitepath."profile/".$value['poster']."\">".$value['poster']."</a> on:</b> ".date("m.d.y",$value['added'])."<span class=\"views\"><b>views:</b> ".$viewstring;
				$output .= "</span></div></div>";
				$output .= "</li>";
				if (($count==3)&&($showad)&&(str_replace(" ","",$adtext)!=''))
				{
					$output .= '<li class="alt"><div align=center>'.$adtext.'</div></li><br><br>';
				}
				if($count == $perpage)
					break;
			}
		}
	}
	$output .= "</ul>";
	if($pages != 1)
		$output .= $pageLinks;
					
	return $output; 
}


 function displayMostViewedInTable($res, $page = 1, $url = "", $filter,$showad){
 	global $db,$sitepath,$loggedIn,$templateimagepath; 
	
	if ($loggedIn)
	{
		$db->query("SELECT id FROM member WHERE username = '".quote_smart($_SESSION['username'])."'");
		$ures = $db->fetch();
		$memberid = $ures['id'];
		$db->query("SELECT * FROM group_member WHERE member_id = ".$memberid." AND approved = 1");
		$groupmembership = $db->fetchAll();
	}
	
	$vidcount = 0;
	foreach($res as $key => $value)
	{ 
		if($value['added'] < time())
		{
			$groupid = $value['groupid'];
			$groupprivate = $value['privacy'];
			$visible = true;
			if (($groupid>0)&&($groupprivate==1)&&($value['owner_id']!=$memberid))
			{
				if ($loggedIn)
				{
					$approvedmember = false;
					foreach($groupmembership as $gmkey => $groupmember){
						if ($groupmember['group_id_g']==$groupid)
						{
							$approvedmember = true;
							break;
						}
					}
					if (!$approvedmember)
					{
						$visible = false;
					}
				}
				else
				{
					$visible = false;
				}
			}
			if ($visible)
			{
				$vidcount++;
			}
		}
	}		
	if ($showad)
	{
		$db->query("SELECT * FROM sitead WHERE adname='ad2'");
		if ($db->numRows()>0)
		{
			$ares=$db->fetch();
			$adtext=$ares['adtext'];
		}
	}
	if ($adtext!='')
	{
		$adtext='<div id="horizbanner">'.$adtext.'</div>';
	}
 	$perpage = getSetting("mostviewedpp",$db);
 	$pages = ceil($vidcount/$perpage);
	$path = getSetting("sitefolder",$db);
	
 	
 	$pageLinks = "";
 	//Page formatting
	
	if ($pages>0)
	{
 	$pageLinks = "<div class=\"paging\"><div class=\"paging-right\"><div class=\"paging-mid\">Page&nbsp;".$page."&nbsp;of&nbsp;".$pages."<div class=\"pages\">";
	}
	else
	{
	$pageLinks = "<div><div><div><div>";
	}
	$pp = $page - 1;
	if ($pp >=1)
	{
		$pageLinks .= "<a class=\"prevp\" href='".$url."/".$pp."'>Previous Page</a>";
	}

	$p = 1;
	$stopat = ($pages <= 10) ? $pages : 10;
	if($pages > 10 && $page > 6){
 		if(!$nomr){
			$pageLinks .= "<a href='".$url."/1'>1</a> ... ";
		}else{
			$pageLinks .= "<a href='".$url."/1'>1</a> ... ";
		}
	}
	$p = 1;
	$stopat = ($pages <= 10) ? $pages : 10;
	if($pages > 10 && $page > 5){
		$p = $page - 5;
		$stopat = $page + 5;
		if($stopat > $pages)
			$stopat = $pages;
	}
	for($p; $p <= $stopat; $p++){
		if(!$nomr){
			if($p == $page)
	 			$pageLinks .= "$p ";
			else
				$pageLinks .= "<a href='".$url."/".$p."'>$p</a> ";
		}else{
			if($p == $page)
	 			$pageLinks .= "$p ";
			else
				$pageLinks .= "<a href='".$url."/".$p."'>$p</a> ";
		}
 	}
 	
 	if($pages > 10){
 		if(!$nomr){
		 	$pageLinks .= "... <a href='".$url."/".$pages."'>$pages</a>";
		}else{
		 	$pageLinks .= "... <a href='".$url."/".$pages."'>$pages</a>";
		}
	}	  	
	$np = $page + 1;
	if ($np <= $pages)
	{
		$pageLinks .= "<a class=\"nextp\" href='".$url."/".$np."'>Next Page</a>";
	}
	$pageLinks .= "</div></div></div></div>";
	$output = '<ul class="no-format horiz2-thumbs-list">';
 	$count = 0;
	$colcount = 0;
 	$page--;
 	//Clear previous page results
 	for($i = 0; $i < $perpage * $page; $i++)
 		unset($res[$i]);
	foreach($res as $key => $value){ 
		if($value['added'] < time()){
			$groupid = $value['groupid'];
			$groupprivate = $value['privacy'];
			$visible = true;
			if (($groupid>0)&&($groupprivate==1)&&($value['owner_id']!=$memberid))
			{
				if ($loggedIn)
				{
					$approvedmember = false;
					foreach($groupmembership as $gmkey => $groupmember){
						if ($groupmember['group_id_g']==$groupid)
						{
							$approvedmember = true;
							break;
						}
					}
					if (!$approvedmember)
					{
						$visible = false;
					}
				}
				else
				{
					$visible = false;
				}
			}
			
			if ($visible)
			{
				
				$count++;
				$colcount++;
				if ($colcount>4)
				{
					$colcount = 0;
					$output .= '</ul><ul class="no-format horiz2-thumbs-list">';
				}				

				$thumb='';	
				$anim='';
				$thumbpath = 'uploads/thumbs/';

				if (checkHideThumbnails()&&($value['requires_agreement']==1))
				{
					$thumb = $templateimagepath."default_mature_thumb.jpg";
				}					
				else
				{
					if(file_exists($thumbpath.$value['thumb'].".small.jpg"))
					{
						$thumb = $sitepath."uploads/thumbs/".$value['thumb'].".small.jpg";
						if(file_exists($thumbpath.$value['thumb'].".prv")) {
							$anim = $sitepath."uploads/thumbs/".$value['thumb'];
						}
					}
					elseif(@file_exists($thumbpath.$value['mediaurl'].".small.jpg"))
					{
						$thumb = $sitepath."uploads/thumbs/".$value['mediaurl'].".small.jpg";
						$anim = $sitepath."uploads/thumbs/".$value['mediaurl'];
					}
					elseif(findThumb($value['thumb'],true)){
						$thumb = findThumb($value['thumb'],true);
						$thumb = $sitepath."uploads/thumbs/".$thumb[0];
					}
					if ($thumb=='')
					{
						$thumb = $templateimagepath.getDefaultThumb($value['mediatype']);
					}
					$thumb = str_replace(" ","%20", $thumb);	
				}
				$kat=getCategoryPath($value['category']);
		 		$db->query("SELECT * FROM rating WHERE id = ".$value['id']);
		 		$resR = $db->fetch();
		 		$title = url_encode($value['title']);
				$output .= "<li>";
				//thumbnail	
				if ($anim!=""&&checkExtra('Video Preview Thumbnails',18))
				{
					$output .= "<div class=\"thumbholder\" id='thumb".$count."' onmouseover='replace_thumb(".$count.", \"<a href=&#39;".$sitepath."play".$kat."/".$title."&#39;><img src=&#39;".$thumb."&#39;></a>\");'>";
					$output .= "<a href='".$sitepath."play".$kat."/".$title."'><img  src='".$thumb."'/></a>";
					$output .= "</div>";	
					$output .= "<img class=\"preview\" onmouseover='start_thumb(".$count." ,\"".$anim."\")' src=\"".$templateimagepath."preview_box.png\">";
				}
				else{
					$output .= "<div class=\"thumbholder\" id='thumb".$count."'>";
					$output .= "<a href='".$sitepath."play".$kat."/".$title."'><img  src='".$thumb."'/></a>";
					$output .= "</div>";						
				}			 		$value['title'] = force_length($value['title'], 55);
				$value['description'] = force_length($value['description'],130);
				$tags = strtolower($value['tags']);
				$taglinks = getTagLinks($tags);
				if (($filter=="all")||($filter==""))
				{
					$viewstring=$value['allviews'];
				} else if ($filter=="today")
				{
					$viewstring=$value['dayviews'];
				} else if ($filter=="week")
				{
					$viewstring=$value['weekviews'];
				} else if ($filter=="month")
				{
					$viewstring=$value['monthviews'];
				} else if ($filter=="toprated")
				{
					$viewstring=$value['allviews'];
				}			
				if ($viewstring=='')
				{
					$viewstring=0;
				}
		 		$short_title = force_length($value['title'], 55);

				$output .= "<h4><b><a href='".$sitepath."play".$kat."/".$title."'>".str_replace("_"," ",$short_title)."</a></b></h4><h4>".$value['description']."</h4><div><p><span class=\"rating\">".show_rating($value['id'])."</span></p></div>";
				
				
				
				if (($count==4)&&($showad)&&(str_replace(" ","",$adtext)!=''))
				{
					$output .= '</ul><ul class="no-format horiz3-thumbs-list"><li class="alt"><div align=center>'.$adtext.'</div></li>';
					$colcount=4;
					
					
				}
				if($count == $perpage)
					break;
			}
		}
	}
	$output .= "<li class=\"clear\">&nbsp;</li>";

	$output .= "</ul>";
	if($pages != 1)
		$output .= $pageLinks;
					
	return $output; 
}




?>
