<?php

global $sitepath;



function show_tags()

{

global $db;

$amu = getSetting("tags",$db);

if (!$amu)
	$amu = 5;


/* $query = "SELECT tags AS tag, COUNT(id) AS quantity, category AS category

  FROM media

  GROUP BY tag

  ORDER BY tags ASC LIMIT 0, $amu"; */

  $query = "SELECT tags AS tag, COUNT(id) AS quantity, category AS category FROM media GROUP BY tag LIMIT 0, $amu";
  
  



$db->query($query);



while ($row = $db->fetch()) {



    $temp_tags = explode(',', $row['tag']);



    foreach ($temp_tags as $tag) {

        // normalize to lower case

        $tag = strtolower($tag);

		$tag = str_replace(",","",$tag);// my fixes, just in case some comma keeps with the word

		$tag = trim($tag); // my fixes to del white space, preventing repeat words in the result.

        if (isset($tags[$tag])) {

            $tags[$tag]++;

        } else {

            $tags[$tag] = 1;

        }

    }

}



ksort($tags);







$max_size = 300; // max font size in %

$min_size = 100; // min font size in %





$max_qty = max(array_values($tags));

$min_qty = min(array_values($tags));





$spread = $max_qty - $min_qty;

if (0 == $spread) { // we don't want to divide by zero

    $spread = 1;

}





$step = ($max_size - $min_size)/($spread);

$sitefolder = getSetting("sitefolder", $db);
$path = "http://" . $_SERVER['SERVER_NAME'] . $sitefolder;


foreach ($tags as $key => $value) {



    

    $size = $min_size + (($value - $min_qty) * $step);

    echo '<a href="'.$path."search/".$key.'" style="font-size: '.$size.'%"';

    echo ' title="'.$value.' Noticias tagged con la palabra '.$key.'"';

    echo '>'.$key.'</a> ';

}

}

?>

